Api
Update User
Update a user. Admin only. Can update role, full_name, and is_active status. Restrictions: - Cannot demote or deactivate the last admin - Cannot deactivate your own account
Update a user.
Admin only. Can update role, full_name, and is_active status.
Restrictions:
- Cannot demote or deactivate the last admin
- Cannot deactivate your own account
AuthorizationBearer <token>
In: header
Path Parameters
user_id*string
Format
uuidRequest Body
application/json
Response Body
application/json
application/json
curl -X PUT "https://loading/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"email": "string",
"email_normalized": "string",
"full_name": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"is_active": true,
"is_azure_bound": true,
"last_login_at": "2019-08-24T14:15:22Z",
"role": "super_admin",
"updated_at": "2019-08-24T14:15:22Z"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}